import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { PatientOrderByWithRelationInputObjectSchema as PatientOrderByWithRelationInputObjectSchema } from './PatientOrderByWithRelationInput.schema';
import { PdfFileOrderByRelationAggregateInputObjectSchema as PdfFileOrderByRelationAggregateInputObjectSchema } from './PdfFileOrderByRelationAggregateInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  title: SortOrderSchema.optional(),
  titleKey: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  patient: z.lazy(() => PatientOrderByWithRelationInputObjectSchema).optional(),
  pdfs: z.lazy(() => PdfFileOrderByRelationAggregateInputObjectSchema).optional()
}).strict();
export const PdfGroupOrderByWithRelationInputObjectSchema: z.ZodType<Prisma.PdfGroupOrderByWithRelationInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfGroupOrderByWithRelationInput>;
export const PdfGroupOrderByWithRelationInputObjectZodSchema = makeSchema();
